### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | QueryInput | ScanInput | UpdateItemInput

### Hierarchy

- BaseRequest
  - WriteRequest
  - GetRequest
  - Request

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params

### Methods

- exec
- execFullResponse

## Constructors

### constructor

- new BaseRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string): BaseRequest

- - Defined in dynamo/request/base.request.ts:23

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  #### Returns BaseRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/base.request.ts:19

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/base.request.ts:23

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/base.request.ts:21

### params

params: I

- Defined in dynamo/request/base.request.ts:20

## Methods

### Abstract exec

- exec(): Observable<T[] | T | null | void>

- - Defined in dynamo/request/base.request.ts:41

  #### Returns Observable<T[] | T | null | void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- - Defined in dynamo/request/base.request.ts:39

  #### Returns Observable<any>

Generated using TypeDoc